<h1 align="center">Présentation du modèle Wordpress</h1>

Documentation réalisé avec Wordpress 6.0

---

## 🆕 Nouveau modèle Wordpress

Un client souhaite un site vitrine
Il est nécéssaire de réaliser un modèle wordpress, voir le guide en 5 étapes:

#### 1°) Pré-requis

- Télécharger **Wordpress** 6.0 : https://wordpress.org/latest.zip

Si la base de données est online.net, utiliser une version de PHP 7.4 puis passer à l'[étape 2](#1-base-de-données)

- Installer **PHP** 7.4 : https://www.php.net/downloads.php

- Renommer **php.ini-development** en **php.ini**

- Installer **MySQL** 5.7 : https://dev.mysql.com/downloads/installer/

- Ouvrir **MySQL Workbench**

#### 2°) Base de données

- Créer une nouvelle base de données, qui sera nommé par exemple : **wordpress**

- Ajouter le dossier wordpress dans le dossier permettant d'afficher un site, exemple : **www/**, **netpub/** (cela dépend de votre hébergeur)

- Configurer la base de données, en accédant à son URL qui doit ressembler à : http://localhost/wordpress/wp-admin/setup-config.php

#### 3°) Model

- Cloner le projet adb-theme dans le dossier : wordpress/wp-content/themes/

```sh
git clone http://agenda.adbinfo.fr:3000/Alexis/adb-theme.git
```

- Cloner le projet adb-plugin dans le dossier : wordpress/wp-content/plugins/

```sh
git clone http://agenda.adbinfo.fr:3000/Alexis/adb-plugin.git
```

#### 4°) Données

Exporter le modèle de site déjà réalisé, ou exporter un modèle de site Wordpress basique :

- Demande l'accès au wordpress de démo à l'équipe ADB dev

- S'identifier au panneau administrateur : http://www.adbdev.fr/wordpress/admin

- Exporter un fichier XML : http://www.adbdev.fr/wordpress/template/wp-admin/export.php

Puis importer le modèle :

- Se connecter en tant qu'administrateur sur l'autre wordpress, ajouter à l'url : /admin (http://localhost/wordpress/wp-admin)

- Outils/importer "Wordpress" -> Installer maintenant

- Importer le fichier xml

#### 5°) Configuration

- Accéder au plugin : "ADB Tools" (http://localhost/wordpress/wp-admin/admin.php?page=adb-tools)

- Définir l'**url** et l'**id** de la société afin de récupérer les annonces souhaités

- Définir **les pages** (annonces | annonce | annonces-saison | annonce-saison) qui sont présentes sur le site, afin de correctement utiliser les imports spécifiques sur certaines pages

---

## 🔓 Connection

La connection au serveur démo, peut fonctionner uniquement en HTTPS

## 🔧 Développement

Pour toute information complémentaire, veuillez vous référer à la documentation officielle : https://codex.wordpress.org/

Conserver au possible, le développement adapté aux récentes versions de Wordpress.
Cette documentation est réalisé en **6.0**

### ADB plugin

- **index.php**
  - **Shortcode** : Les shortcodes sont définis, avec ou sans paramètres puis enregistré avec **add_shortcode()**
  - **Menu** : Les menus et sous-menus y sont définis avec **add_menu_page()** et **add_submenu_page()**
  - **Action** : Chaque option ou variable est définit, par son type, sa valeur par défaut, puis enregistré avec **register_setting()**

Hiérarchie des dossiers :

- **annonces** : Contient les shortcodes des annonces, les filtres, la pagination ...
- **auth** : Contient le composant d'authentification à un compte ADB agenda
- **client** : Contient le composant qui permet d'accéder au serveur à distance, une fois l'utilisateur connecté à un compte ADB Agenda
- **icons** : Contient une liste d'icônes (également présent dans le dossier annonce, par soucis d'utilisation de l'import de fichier avec Wordpress)
- **menu** : Contient les pages affichés dans l'administration d'ADB plugin avec Wordpress.

### ADB theme

- **functions.php**
  - Certains **imports** sont importés seulement sur certaines pages afin d'alléger et optimiser le chargement des pages. Les variables **get_option("annonces_page")** sont définis dans ADB plugin
- **theme.json** : Utiliser ce fichier afin d'éditer le style, le format et les couleurs par défaut
  - Dès l'utilisation de ce fichier et depuis la version 5.8 il n'est plus nécessaire de définir des modèles de fichier :
    - archive.php
    - single.php
    - page.php
    - comments-popup.php
    - search.php
      Ceux ci deviennent personnalisables directement dans l'interface Wordpress **Appareance / Éditeur** et sont sauvegardés en base de données.

---

## 📷 Media

| Image | Document | Audio | Video |
| ----- | -------- | ----- | ----- |
| jpg   | pdf      | mp3   | mp4   |
| jpeg  | doc      | m4a   | mov   |
| png   | ppt      | ogg   | wmv   |
| gif   | odt      | wav   | avi   |
| ico   | xls      |       | mrp   |
|       | psd      |       | ogv   |
|       |          |       | 3gp   |
|       |          |       | 3g2   |

[Source](https://codex.wordpress.org/Uploading_Files)

Pour télécharger d'autres formats comme .exe .svg ou .json il est possible d'utiliser l'option **Custom Media** d'ADB Tools

---

## 📄 Pages

C'est ici que l'on peut éditer les pages et leur contenu, voici quelques astuces :

- Il est bien de garder le nom du site dans le titre des pages exemple : "ADB info | Exemple" {titre site} {séparateur} {titre page}
- Le slug est important pour le SEO, il faut penser à le modifier si besoin. Pas de "exemple-2"
- Wordpress permet l'édition des pages avec un système nommé Gutenberg
- Gutenberg possède maintenant un outil qui permet de voir la hiérarchie des blocs
- Les blocs colonnes, groupes et lignes ont une option afin de modifier la largeur max : 1000px | 1400px | null

---

## 📊 Apparence

#### Thème

Il est recommandé d'utiliser **ADB theme**, car il permet de gérer l'import de style et script tel que :

- **Bootstrap 5** :
  - Style importé sur toutes les pages
  - Script importé seulement sur la page **annonces**, **annonce**, **annonces-saison**, **annonce-saison**
- **FullCalendar** : Style + Script importé seulement sur la page **annonce-saison**

#### Éditeur

Nouveauté qui permet d'éditer les modèles de page dans l'éditeur Gutenberg,

- Header & Footer : Modification du header et footer simplifié
- Style : En haut à droite un bouton Style, permet d'éditer les couleurs primaire, secondaire d'un site client (recommandé)
  à surveiller car une prochaine mise à jour devrait permettre l'import de police et donc de changer facilement la police (afin d'éviter d'utiliser une extension)

#### Personnaliser

Cet outil permet la modification du favicon, du titre, slogan, définir la page d'accueil
Il permet également l'ajout de CSS personnalisé

Dans les récentes mise à jour il est possible qu'il ne soit plus disponible, comme par exemple dans un wordpress multi-site (bug?)
Pour cela, ADB Tools/Apparence/Personnaliser est un raccourci vers l'outil qui restera disponible (/customize.php)

---

## ➕ Extensions

#### ADB Tools

- Réglage
  - Définir une URL vers l'API ainsi qu'un identifiant de société afin de récupérer une liste d'annonces
  - Définir les pages **Annonces** | **Annonces** | **Annonces-saison** | **Annonce-saison** est nécessaire afin de :
    - Définir la navigation entre ces pages
    - Permettre au thème ADB d'importer les scripts Bootstrap
    - Permettre au thème ADB d'importer les scripts et style FullCalendar
- Documentation
  - Détail l'utilisation des shortcodes avec leur paramètres
- Apparence/Personnaliser
  - Raccourci vers /customize.php

##### Shortcode

Un shortcode est un bloc de code raccourci (comme un composant)
Pour l'utiliser dans un éditeur Gutenberg, il suffit de créer un bloc shortcode puis d'y ajouter **[annonces-filter]** cela va automatiquement afficher une boîte composé de plusieurs filtres d'annonces

On peut également lui ajouter des paramètres : **[annonces-filter transaction_vente=1 type=0]**
Pour plus d'informations sur les paramètres veuillez vous référez à la documentation de l'extension

#### Contact Form 7

- Par défaut lors d'un envoi de formulaire, il envoie un email à contact@adbdev.fr
- Les messages d'erreur sont personnalisables
- Utilise les classes de Bootstrap 5

#### Performance Lab

Réglage/Performance

- Active la prise en charge de fichier média .webp

#### Rank Math SEO

- Évalue le score SEO de chaque page
- Propose une liste d'améliorations SEO possible

#### Really Simple SSL

Réglages/SSL

- Pour désactiver le SSL, il suffit de désactiver l'extension
- Lors de l'utilisation de média via un URL il est possible d'ajouter **//** en début d'une URL afin de détecter automaitquement le protocole utilisé, exemple : "//www.adbdev.fr/wordpress/wp-content/uploads/2022/03/Bien-immobilier.json"
  Cela éviter les problèmes cross-origin des médias.

#### Secupress

- Analyse la sécurité du site selon des bonnes pratiques à adopter
- Propose ensuite des améliorations de sécurité
- Sécurité actuel : **B+**

#### UpdraftPlus

Réglages/Sauvegardes Updraft Plus

- Permet de sauvegarder automatiquement le wordpress
- Paramètre actuel : Réalise une sauvegarde toutes les 2 semaines et l'enregistre sur le serveur FTP adbdev.fr dans **www/wordpress-backup/**

#### Wordpress importer

- L'activer sur un site en démonstration est OK
- Une fois le site importé et configuré il est conseillé de désactiver/désinstaller cette extension

#### WP Activity Log

- Permet de garder une trace des activités réalisés, peut également tracer une activité suspecte

#### WP Optimize

- Propose un outil d'optimisation de la base de données et un nettoyage des données

---

## ⬇️ Historique

- 5.8.0 - 20/07/2021

  - Ajout de l'option "Apparence/Éditeur" : Afin d'éditer librement les modèles de page
  - Apparence/Personnaliser a été retiré du wordpress multi-site depuis la version 5.8, c'est pourquoi l'option "Apparence/Personnaliser" à été ajouté en sous-menu à l'extension ADB Plugin

- 6.0.0 - 24/05/2022

## 👤 Autheur

**GOUDAL Virgil**

- Github: [@Virgil-Goudal](https://github.com/VirgilG6)

**PANNETIER Alexis**

- Github: [@Alexis-Pannetier](https://github.com/Alexis-Pannetier)
