<?php
    $lot_id = $_GET['id'];

    if (isset($lot_id)) {
        $request = wp_remote_get("http://agenda.adbinfo.fr:9001/lot/" . $lot_id,
        [
            'headers'     => [
            "Accept"=> "application/json",
            "Content-Type"=> "application/json",
            ]
        ]
    );
        if( is_wp_error( $request ) ) {
            return false; // stop if error
        } else {
            $body = json_decode(wp_remote_retrieve_body( $request ));
            if (isset($body)) {
                if (isset($body->message)) {
                    echo "<script>console.error('Problème lors de la récupération des annonces depuis l\'API' );</script>";
                }
                if (isset($body)) {
                    $lot = $body->lot;
                }
            }
        }
    }
    if (isset($lot)) {
        // ADAPTER
        $id = $lot->lot->id;
        $code = $lot->lot->code;
        $charge = number_format(null , 0, ',', '.');
        $chauffage = null;
        $date_construction = null;
        $description = $lot->descriptif->descriptifHTML;
        $dpe = null;
        $frais_agence_location = number_format(null , 0, ',', '.');
        $ges = null;
        $montant = number_format(null , 0, ',', '.');
        $montant_fixe_hono = number_format(null , 0, ',', '.');
        $nombre_piece = $lot->lot->nbCouchage;
        $nouveaute = null;
        $favoris = null;
        $exclusivite = null;
        $sous_compromis = null;
        $pourcentage_hono = null;
        $surface = null;
        $transaction = null;
        $url_visite_virtuelle = null;
        $titre = $lot->lot->reference;;
        $type = $lot->typeLot->libelle;
        // Adresse
        if (isset($lot->adresse)) {
            $address = $lot->adresse;
            $id = $address->id;
            $code_postal = $address->cp;
            $city = $address->ville;
            $pays = $address->pays;
            $ligne1 = null;
            $ligne2 = null;
            $ligne3 = null;
            $numero =$address->numero;
            $voie = $address->voie;
            $secteur = $address->secteur;
            $departmeent = $address->departement;
        }
        // Propriétaire
        if (isset($lot->proprietaire)) {
            $proprietaire = $lot->proprietaire;
            $nom = $proprietaire->nom;
            $prenom = $proprietaire->prenom;
            $tel1 = $proprietaire->tel1;
            $email1 = $proprietaire->mail1;
        }
        $photos = json_decode(file_get_contents("http://agenda.adbinfo.fr:9001/photos/".$id), true)["photos"];
        $imageURL = "http://agenda.adbinfo.fr:9001/image/";

        $criteres = [
            [
                "label"=> "Tansaction",
                "value"=> $transaction,
            ],
            [
                "label"=> "Logement",
                "value"=> $type,
            ],
            [
                "label"=> "Nombre de pièces",
                "value"=> $nombre_piece,
            ],
            [
                "label"=> "Surface",
                "suffix"=> "m²",
                "value"=> $surface,
            ],
            [
                "label"=> "Date de construction",
                "value"=> $date_construction,
            ],
            [
                "label"=> "Chauffage",
                "value"=> $chauffage,
            ],
        ];

        $prices = [
            [
                "class"=> "text-success",
                "label"=> "Montant",
                "suffix"=> "€",
                "value"=> $montant,
            ],
            [
                "label"=> "Charge",
                "suffix"=> "€",
                "value"=> $charge,
            ],
            [
                "label"=> "Honoraires",
                "suffix"=> "€",
                "value"=> $montant_fixe_hono,
            ],
            [
                "label"=> "Frais d'agence",
                "suffix"=> "€",
                "value"=> $frais_agence_location,
            ],
        ];
    }
?>

<div class="row d-flex align-items-center my-3">
    <!-- Back -->
    <div class="col-auto">
        <button class="btn btn-secondary" aria-label="Retour" onclick="window.location=`<?php echo get_permalink(get_option('annonces_saison_page')) ?>`">
            <span class="white">
                <?php include("icons/arrow-left-solid.svg"); ?>
            </span>      
        </button>
    </div>

    <!-- Breadcrumb -->
    <div class="col-auto">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb mb-0">
                <li class="breadcrumb-item"><a class="link-primary" href="<?php echo get_permalink(get_option("annonces_saison_page")) ?>#annonces">Annonces</a></li>
                <?php if (isset($lot_id) && isset($lot)) : ?>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo $code?></li>
                <?php endif; ?>
            </ol>
        </nav>
    </div>
</div>

<!-- Card -->
<div id="annonce">
    <div class="card my-3">

        <?php if (isset($lot_id) && isset($lot)) : ?>

            <ul class="list-group list-group-flush">
            <li class="list-group-item">
                    <div class="row" style="align-items: center">
                        <div class="col-3 d-flex justify-content-around align-items-center flex-wrap">
                            <?php if($favoris) :?>
                                <i class="text-center favoris">
                                    <?php include("icons/heart-solid.svg"); ?> <br/>
                                    <span class="hide-small-screen"> Favoris</span>
                                </i>
                            <?php endif ?>
                            <?php if($exclusivite) :?>
                                <i class="text-center exclusivite">
                                    <?php include("icons/house-circle-exclamation-solid.svg"); ?> <br/>
                                    <span class="hide-small-screen"> Exclusivité</span>
                                </i>
                            <?php endif ?>
                        </div>
                        <div class="col-6">
                            <h4 class="card-title text-center m-0"><strong><?php echo $titre ?></strong></h4>
                        </div>
                        <div class="col-3 d-flex justify-content-around align-items-center flex-wrap">
                            <?php if($nouveaute) :?>
                                <i class="text-center new">
                                    <?php include("icons/star-solid.svg"); ?> <br/>
                                    <span class="hide-small-screen"> Nouveau</span>
                                </i>
                            <?php endif ?>
                            <?php if($sous_compromis) :?>
                                <i class="text-center compromis">
                                    <?php include("icons/file-regular.svg"); ?> <br/>
                                    <span class="hide-small-screen"> Sous compromis</span>
                                </i>
                            <?php endif ?>
                        </div>
                    </div> 
                </li>

                <?php if(!empty($photos)) : ?>
                    <li class="list-group-item">
                        <!-- Carousel -->
                        <div id="carousel-images" class="carousel slide" data-bs-interval="false">
                            <div class="carousel-indicators">

                                <?php foreach($photos as $key=>$photo ) : ?>
                                    <button type="button" data-bs-target="#carousel-images" data-bs-slide-to=<?php echo $key ?> aria-current="true"
                                    aria-label="Slide <?php echo $key ?>" <?php if ($key == 0) :?> class="active"<?php endif ?>></button>
                                <?php endforeach ?>

                            </div>
                            <div class="carousel-inner">

                                <?php foreach( $photos as $key=>$photo ) : ?>
                                    <div class="carousel-item text-center <?php if ($key == 0) :?>active<?php endif ?>">
                                        <img alt="<?php echo $photo["libelle"] ?>" style="max-height:80vh; max-width: 100%" src="<?php echo $imageURL . $photo["chemin"] ?>">
                                    </div>
                                <?php endforeach ?>

                            </div>
                            <button class="carousel-control-prev" type="button" data-bs-target="#carousel-images"
                                data-bs-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="visually-hidden">Previous</span>
                            </button>
                            <button class="carousel-control-next" type="button" data-bs-target="#carousel-images"
                                data-bs-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="visually-hidden">Next</span>
                            </button>
                        </div>
                    </li>
                <?php endif ?>

                <li class="list-group-item">
                    <div class="row">
                        <h4 class="text-center secondary">Critères</h4>
                    </div>

                    <div class="row">
                        <?php foreach ($criteres as $key => $item): ?>
                            <?php if(isset($item['value'])) : ?>
                                <div class="col-12 col-sm-6 col-lg-3 secondary">
                                    <strong><?php echo $item['label'] ?></strong>
                                </div>
                                <div class="col-12 col-sm-6 col-lg-3 text-end text-sm-start">
                                    <span class=<?php if(isset($item['class'])) echo $item['class'] ?>>
                                        <?php echo $item['value'] ?>
                                        <?php if (isset($item['suffix'])) echo $item['suffix'] ?>
                                    </span>
                                </div>
                            <?php endif ?>
                        <?php endforeach ?>
                    <div>
                </li>

                <?php if(isset($description)) : ?>
                    <li class="list-group-item">
                        <h4 class="text-center secondary">Description</h4>
                        <p><?php echo $description ?></p>
                    </li>
                <?php endif ?>

                <?php if(isset($city) || isset($voie)) : ?>
                    <li class="list-group-item">
                        <h4 class="text-center secondary">Carte</h4>
                        <iframe title="Adresse du bien immobilier" width="100%" height="500" src="https://maps.google.com/maps?q=<?php echo $city . str_replace(" ", "+", $voie); ?>&output=embed"></iframe>
                    </li>
                <?php endif ?>

                <?php if(!empty($groupe_perso) && !empty($donnee_perso)) : ?>
                    <?php foreach ($groupe_perso as $key => $groupe): ?>
                        <li class="list-group-item">
                            <div class="row">
                                <h4 class="text-center secondary"><?php echo $groupe->groupe_perso_nom ?></h4>
                            <div>
                            <div class="row">
                                <?php foreach ($groupe->groupe_perso_champ_perso as $key => $champ_perso): ?>
                                    <?php
                                    // Find donnee_perso by donnee_perso_champ_perso_id
                                    $array_filtered = array_filter($donnee_perso, function ($donnee) use ($champ_perso){ 
                                        return $donnee->donnee_perso_champ_perso_id == $champ_perso->champ_perso_id; 
                                    });
                                    // If donnee_perso exist :
                                    if (!empty($array_filtered)) :
                                    $donnee = end($array_filtered);
                                    ?>
                                        <div class="col-12 col-sm-6 col-lg-3 secondary">
                                            <strong><?php echo $champ_perso->champ_perso_nom ?></strong>
                                        </div>
                                        <div class="col-12 col-sm-6 col-lg-3 text-end text-sm-start">
                                            <span class=<?php if(isset($donnee->donnee_perso_lot_id)) echo $donnee->donnee_perso_lot_id ?>>
                                                <?php if($champ_perso->champ_perso_type == "boolean") :?>
                                                    <?php if($donnee->donnee_perso_valeur == "1"):?>
                                                        Oui
                                                    <?php else: ?>
                                                        Non
                                                    <?php endif ?>
                                                <?php else : ?>
                                                    <?php echo $donnee->donnee_perso_valeur ?>
                                                <?php endif ?>
                                            </span>
                                        </div>
                                    <?php endif ?>
                                <?php endforeach ?>
                            </div>
                        </li>
                    <?php endforeach ?>
                <?php endif ?>

                <?php if(isset($dpe) || isset($ges)) : ?>
                    <li class="list-group-item">
                        <div class="row">
                            <h4 class="text-center secondary">Performance énergétique</h4>
                            <div class="d-flex justify-content-around align-items-center flex-wrap">
                                <?php if(isset($dpe)) : ?>
                                    <iframe id="frameDPE" src="http://www.sdgib.eu/webservice/commun/dpe/dpe.php?nrj=<?php echo $dpe ?>" width="197" height="180" scrolling="no" frameborder="0"></iframe>
                                <?php endif ?>
                                <?php if(isset($ges)) : ?>
                                    <iframe id="frameGES" src="http://www.sdgib.eu/webservice/commun/ges/ges.php?ges=<?php echo $ges ?>" width="197" height="180" scrolling="no" frameborder="0"></iframe>
                                <?php endif ?>
                            </div>
                        <div>
                    </li>
                <?php endif ?>

                <li class="list-group-item">
                    <!-- <h4 class="text-center secondary"></h4> -->
                    <?php include(plugin_dir_path( __FILE__ ) . 'annonces/calendar/calendar.php') ?>
                </li>

            </ul>
        
        <?php endif;?>
        
        <?php if (!isset($lot)) : ?>
            <!-- TODO : add image -->
            <span class="text-center">Cette annonce n'existe pas ou n'est plus disponible</span>
        <?php endif; ?>
    </div>
</div>
