<?php
    $lot_id = $_GET['id'];

    if (isset($lot_id)) {
        $request = wp_remote_get(get_option("api") . "/api/wordpress/societes/" . get_option("societe_id") . '/lots/' . $lot_id,
        [
            'headers'     => [
            "Accept"=> "application/json",
            "Content-Type"=> "application/json",
            ]
        ]
    );
        if( is_wp_error( $request ) ) {
            return false; // stop if error
        } else {
            $body = json_decode(wp_remote_retrieve_body( $request ));
            if (isset($body)) {
                if (isset($body->message)) {
                    echo "<script>console.error('Problème lors de la récupération des annonces depuis l\'API' );</script>";
                }
                if (isset($body->lot)) {
                    $lot = $body->lot;
                    $photos = $body->photos;
                    $groupe_perso = $body->groupe_perso;
                    $donnee_perso = $body->donnee_perso;
                    usort($photos, "sortByOrder");
                }
            }
        }
    }
    if (isset($lot)) {
        // ADAPTER
        $code = $lot->lot_code;
        $charge = number_format($lot->lot_charge , 0, ',', '.');
        $chauffage = $lot->lot_chauffage;
        $date_construction = $lot->lot_date_construction;
        $description = $lot->lot_description;
        $dpe = $lot->lot_dpe;
        $ges = $lot->lot_ges;
        $montant = number_format($lot->lot_montant , 0, ',', '.');
        $montant_fixe_hono = number_format($lot->lot_frais_agence_location , 0, ',', '.');
        $etat_des_lieux = $lot->lot_frais_edl;
        $depot_garantie = $lot->lot_depot_garantie;
        $type_bail = $lot->lot_type_bail;
        $encadrement_loyer = $lot->lot_encadrement_loyer;
        $complement_loyer = $lot->lot_complement_loyer;
        $nombre_piece = $lot->lot_nombre_piece;
        $nouveaute = $lot->lot_nouveaute;
        $favoris = $lot->lot_favoris;
        $exclusivite = $lot->lot_exclusivite;
        $sous_compromis = $lot->lot_sous_compromis;
        $pourcentage_hono = $lot->lot_pourcentage_hono;
        $surface = $lot->lot_surface;
        $transaction = $lot->lot_transaction;
        $url_visite_virtuelle = $lot->lot_url_visite_virtuelle;
        $titre = $lot->lot_titre;
        $type = $lot->lot_type;
        // Adresse
        if (isset($lot->lot_adresse)) {
            $address = $lot->lot_adresse;
            $id = $address->adresse_id;
            $code_postal = $address->adresse_code_postal;
            $city = $address->adresse_ville;
            $pays = $address->adresse_pays;
            $ligne1 = $address->adresse_ligne1;
            $ligne2 = $address->adresse_ligne2;
            $ligne3 = $address->adresse_ligne3;
            $numero = $address->adresse_numero;
            $voie = $address->adresse_voie;
            $secteur = $address->adresse_secteur;
            $departmeent = $address->adresse_departement;
        }
        // Propriétaire
        if (isset($lot->proprietaire)) {
            $proprietaire = $lot->proprietaire;
            $nom = $proprietaire->personne_nom;
            $prenom = $proprietaire->personne_prenom;
            $tel1 = $proprietaire->personne_tel1;
            $email1 = $proprietaire->personne_email1;
        }

        if ($encadrement_loyer == true) {
            $encadrement_loyer = "Oui";
        } else {
            $encadrement_loyer = "Non";
        }

        $criteres = [
            [
                "label"=> "Tansaction",
                "value"=> $transaction,
            ],
            [
                "label"=> "Logement",
                "value"=> $type,
            ],
            [
                "label"=> "Nombre de pièces",
                "value"=> $nombre_piece,
            ],
            [
                "label"=> "Surface",
                "suffix"=> "m²",
                "value"=> $surface,
            ],
            [
                "label"=> "Date de construction",
                "value"=> $date_construction,
            ],
            [
                "label"=> "Chauffage",
                "value"=> $chauffage,
            ],
        ];

        if ($transaction == "Location"){
            $prices = [
                [
                    "class"=> "text-success",
                    "label"=> "Loyer CC",
                    "suffix"=> "€/mois",
                    "value"=> $montant,
                ],
                [
                    "label"=> "Dont charges",
                    "suffix"=> "€/mois",
                    "value"=> $charge,
                ],
                [
                    "label"=> "Dont état des lieux",
                    "suffix"=> "€ TTC",
                    "value"=> $etat_des_lieux,
                ],
                [
                    "label"=> "Honoraires locataire",
                    "suffix"=> "€ TTC",
                    "value"=> $montant_fixe_hono,
                ],
                [
                    "label"=> "Pourentage honoraires",
                    "suffix"=> "%",
                    "value"=> $pourcentage_hono,
                ],
                [
                    "label"=> "Complément de loyer",
                    "suffix"=> "€",
                    "value"=> $complement_loyer,
                ],
                [
                    "label"=> "Dépôt de garantie",
                    "suffix"=> "€",
                    "value"=> $depot_garantie,
                ],
                [
                    "label"=> "Type de bail",
                    "value"=> $type_bail,
                ],
                [
                    "label"=> "Encadrement du loyer",
                    "value"=> $encadrement_loyer,
                ],
            ];
        } else {
            $prices = [
                [
                    "class"=> "text-success",
                    "label"=> "Prix de vente",
                    "suffix"=> "€",
                    "value"=> $montant,
                ],
                [
                    "label"=> "Dont charges",
                    "suffix"=> "€",
                    "value"=> $charge,
                ],
                [
                    "label"=> "Dont état des lieux",
                    "suffix"=> "€ TTC",
                    "value"=> $etat_des_lieux,
                ],
                [
                    "label"=> "Honoraires",
                    "suffix"=> "€ TTC",
                    "value"=> $montant_fixe_hono,
                ],
                [
                    "label"=> "Pourcentage honoraires",
                    "suffix"=> "%",
                    "value"=> $pourcentage_hono,
                ],
                [
                    "label"=> "Complément de loyer",
                    "suffix"=> "€",
                    "value"=> $complement_loyer,
                ],
                [
                    "label"=> "Dépôt de garantie",
                    "suffix"=> "€",
                    "value"=> $depot_garantie,
                ],
                [
                    "label"=> "Type de bail",
                    "value"=> $type_bail,
                ],
                [
                    "label"=> "Encadrement du loyer",
                    "value"=> $encadrement_loyer,
                ],
            ];
        }
    }

    if ($dpe <= 50) {
        $lettreDPE = "A";
    } elseif ($dpe > 50 && $dpe <= 90) {
        $lettreDPE = "B";
    } elseif ($dpe > 90 && $dpe <= 150) {
        $lettreDPE = "C";
    } elseif ($dpe > 150 && $dpe <= 230) {
        $lettreDPE = "D";
    } elseif ($dpe > 230 && $dpe <= 330) {
        $lettreDPE = "E";
    } elseif ($dpe > 330 && $dpe <= 450) {
        $lettreDPE = "F";
    } else {
        $lettreDPE = "G";
    }

    if ($ges <= 5) {
        $lettreGES = "A";
    } elseif ($ges > 5 && $ges <= 10) {
        $lettreGES = "B";
    } elseif ($ges > 10 && $ges <= 20) {
        $lettreGES = "C";
    } elseif ($ges > 20 && $ges <= 35) {
        $lettreGES = "D";
    } elseif ($ges > 35 && $ges <= 55) {
        $lettreGES = "E";
    } elseif ($ges > 55 && $ges <= 80) {
        $lettreGES = "F";
    } else {
        $lettreGES = "G";
    }
?>

<div class="row d-flex align-items-center my-3">
    <!-- Back -->
    <div class="col-auto">
        <button class="btn btn-secondary shadow-none" aria-label="Retour" onclick="history.go(-1); window.close();">
            <span class="white">
                <?php include("icons/arrow-left-solid.svg"); ?>
            </span>      
        </button>
    </div>

    <!-- Breadcrumb -->
    <div class="col-auto">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb mb-0">
                <li class="breadcrumb-item"><a class="link-primary" href="<?php echo get_permalink(get_option("annonces_page")) ?>#annonces">Annonces</a></li>
                <?php if (isset($lot_id) && isset($lot)) : ?>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo $code?></li>
                <?php endif; ?>
            </ol>
        </nav>
    </div>
</div>

<!-- Card -->
<div id="annonce">
    <div class="card my-3">

        <?php if (isset($lot_id) && isset($lot)) : ?>

            <ul class="list-group list-group-flush">
                <li class="list-group-item">
                    <div class="row" style="align-items: center">
                        <div class="col-3 d-flex justify-content-around align-items-center flex-wrap">
                            <?php if($favoris) :?>
                                <i class="text-center favoris">
                                    <?php include("icons/heart-solid.svg"); ?> <br/>
                                    <span class="hide-small-screen"> Favoris</span>
                                </i>
                            <?php endif ?>
                            <?php if($exclusivite) :?>
                                <i class="text-center exclusivite">
                                    <?php include("icons/house-circle-exclamation-solid.svg"); ?> <br/>
                                    <span class="hide-small-screen"> Exclusivité</span>
                                </i>
                            <?php endif ?>
                        </div>
                        <div class="col-6">
                            <h4 class="card-title text-center m-0"><strong><?php echo $titre ?></strong></h4>
                        </div>
                        <div class="col-3 d-flex justify-content-around align-items-center flex-wrap">
                            <?php if($nouveaute) :?>
                                <i class="text-center new">
                                    <?php include("icons/star-solid.svg"); ?> <br/>
                                    <span class="hide-small-screen"> Nouveau</span>
                                </i>
                            <?php endif ?>
                            <?php if($sous_compromis) :?>
                                <i class="text-center compromis">
                                    <?php include("icons/file-regular.svg"); ?> <br/>
                                    <span class="hide-small-screen"> Sous compromis</span>
                                </i>
                            <?php endif ?>
                        </div>
                    </div> 
                </li>

                <?php if(!empty($photos)) : ?>
                    <li class="list-group-item">
                        <!-- Carousel -->
                        <div id="carousel-images" class="carousel slide" data-bs-interval="false">
                            <div class="carousel-indicators">

                                <?php foreach($photos as $key=>$photo ) : ?>
                                    <button type="button" data-bs-target="#carousel-images" data-bs-slide-to=<?php echo $key ?> aria-current="true"
                                    aria-label="Slide <?php echo $key ?>" <?php if ($key ==0) :?> class="active"<?php endif ?>></button>
                                <?php endforeach ?>

                            </div>
                            <div class="carousel-inner">

                                <?php foreach( $photos as $key=>$photo ) : ?>
                                    <div class="carousel-item text-center <?php if ($key == 0) :?>active<?php endif ?>">
                                        <img alt="<?php echo $photo->photo_nom ?>" style="max-height:80vh; max-width: 100%" src="<?php echo $photo->photo_chemin ?>">
                                    </div>
                                <?php endforeach ?>

                            </div>
                            <button class="carousel-control-prev" type="button" data-bs-target="#carousel-images"
                                data-bs-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="visually-hidden">Previous</span>
                            </button>
                            <button class="carousel-control-next" type="button" data-bs-target="#carousel-images"
                                data-bs-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="visually-hidden">Next</span>
                            </button>
                        </div>
                    </li>
                <?php endif ?>

                <li class="list-group-item">
                    <div class="row">
                        <h4 class="text-center secondary">Critères</h4>
                    </div>

                    <div class="row">
                        <?php foreach ($criteres as $key => $item): ?>
                            <?php if(isset($item['value'])) : ?>
                                <div class="col-12 col-sm-6 col-lg-3 secondary">
                                    <strong><?php echo $item['label'] ?></strong>
                                </div>
                                <div class="col-12 col-sm-6 col-lg-3 text-end text-sm-start">
                                    <span class=<?php if(isset($item['class'])) echo $item['class'] ?>>
                                        <?php echo $item['value'] ?>
                                        <?php if (isset($item['suffix'])) echo $item['suffix'] ?>
                                    </span>
                                </div>
                            <?php endif ?>
                        <?php endforeach ?>
                    <div>
                </li>

                <?php if(isset($description)) : ?>
                    <li class="list-group-item">
                        <h4 class="text-center secondary">Description</h4>
                        <p><?php echo $description ?></p>
                    </li>
                <?php endif ?>

                <?php if((isset($city) && !empty($city ))|| (isset($voie) && !empty($voie))) : ?>
                    <li class="list-group-item">
                        <h4 class="text-center secondary">Carte</h4>
                        <iframe title="Adresse du bien immobilier" width="100%" height="500" src="https://maps.google.com/maps?q=<?php echo $city . str_replace(" ", "+", $voie); ?>&output=embed"></iframe>
                    </li>
                <?php endif ?>

                <li class="list-group-item">
                    <div class="row">
                        <h4 class="text-center secondary">Tarif</h4>
                    <div>
                    <div class="row">
                        <?php foreach ($prices as $key => $item): ?>
                            <?php if(isset($item['value'])) : ?>
                                <div class="col-12 col-sm-6 col-lg-3 secondary">
                                    <strong><?php echo $item['label'] ?></strong>
                                </div>
                                <div class="col-12 col-sm-6 col-lg-3 text-end text-sm-start">
                                    <span class=<?php if(isset($item['class'])) echo $item['class'] ?>>
                                        <?php echo $item['value'] ?>
                                        <?php if (isset($item['suffix'])) echo $item['suffix'] ?>
                                    </span>
                                </div>
                            <?php endif ?>
                        <?php endforeach ?>
                    </div>
                </li>

                <?php if(!empty($groupe_perso) && !empty($donnee_perso)) : ?>
                    <?php foreach ($groupe_perso as $key => $groupe): ?>
                        <li class="list-group-item">
                            <div class="row">
                                <h4 class="text-center secondary"><?php echo $groupe->groupe_perso_nom ?></h4>
                            <div>
                            <div class="row">
                                <?php foreach ($groupe->groupe_perso_champ_perso as $key => $champ_perso): ?>
                                    <?php
                                    // Find donnee_perso by donnee_perso_champ_perso_id
                                    $array_filtered = array_filter($donnee_perso, function ($donnee) use ($champ_perso){ 
                                        return $donnee->donnee_perso_champ_perso_id == $champ_perso->champ_perso_id; 
                                    });
                                    // If donnee_perso exist :
                                    if (!empty($array_filtered)) :
                                    $donnee = end($array_filtered);
                                    ?>
                                        <div class="col-12 col-sm-6 col-lg-3 secondary">
                                            <strong><?php echo $champ_perso->champ_perso_nom ?></strong>
                                        </div>
                                        <div class="col-12 col-sm-6 col-lg-3 text-end text-sm-start">
                                            <span class=<?php if(isset($donnee->donnee_perso_lot_id)) echo $donnee->donnee_perso_lot_id ?>>
                                                <?php if($champ_perso->champ_perso_type == "boolean") :?>
                                                    <?php if($donnee->donnee_perso_valeur == "1"):?>
                                                        Oui
                                                    <?php else: ?>
                                                        Non
                                                    <?php endif ?>
                                                <?php else : ?>
                                                    <?php echo $donnee->donnee_perso_valeur ?>
                                                <?php endif ?>
                                            </span>
                                        </div>
                                    <?php endif ?>
                                <?php endforeach ?>
                            </div>
                        </li>
                    <?php endforeach ?>
                <?php endif ?>

                <?php if(isset($dpe) || isset($ges)) : ?>
                    <li class="list-group-item">
                        <div class="row">
                            <h4 class="text-center secondary">Performance énergétique</h4>
                            <div class="d-flex justify-content-around align-items-center flex-wrap">
                                <?php if(isset($dpe)) : ?>
                                    <img src='http://etiquette-dpe.soludedia.fr/dpe.php?dpe=<?php echo $lettreDPE?>&kwh=<?php echo $dpe?>&kgco2=<?php echo $ges?>' alt='Etiquette DPE' width='256' />
                                <?php endif ?>
                                <?php if(isset($ges)) : ?>
                                    <img src='http://etiquette-dpe.soludedia.fr/dpe.php?ges=<?php echo $lettreGES?>&kgco2=<?php echo $ges?>&type=ges' alt='Etiquette GES' width='256' />
                                <?php endif ?>
                            </div>
                        <div>
                    </li>
                <?php endif ?>

            </ul>
        
        <?php endif;?>
        
        <?php if (!isset($lot)) : ?>
            <!-- TODO : add image -->
            <span class="text-center">Cette annonce n'existe pas ou n'est plus disponible</span>
        <?php endif; ?>
    </div>
</div>