<?php
    // DEFAULT
    $default_sorter = "date_desc";
    $_SESSION['nbr_lot'] = 0;
    $_SESSION['nbr_page'] = 0;
    $_SESSION['per_page'] = get_option("per_page");
    $_SESSION['favoris'] = isset($_GET['favoris']);
    $_SESSION['nouveaute'] = isset($_GET['nouveaute']);
    $_SESSION['exclusivite'] = isset($_GET['exclusivite']);
    $_SESSION['sous_compromis'] = isset($_GET['sous_compromis']);
    $_SESSION['saison'] = 1;

    // FILTERS
    // $_SESSION['recherche'] = isset($_GET['recherche']) && !empty($_GET['recherche']) ? $_GET['recherche'] : null;
    // $_SESSION['transaction_vente'] = $_SESSION['atts_transaction_vente'] || isset($_GET['vente']);
    // $_SESSION['transaction_location'] = $_SESSION['atts_transaction_location'] || isset($_GET['location']);
    // $_SESSION['transaction_programme_neuf'] = $_SESSION['atts_transaction_programme_neuf'] || isset($_GET['programme_neuf']);
    // $_SESSION['transaction_location_saisonniere'] = $_SESSION['atts_transaction_location_saisonniere'] || isset($_GET['location_saisonniere']);
    // $_SESSION['type_appartement'] = isset($_GET['appartement']);
    // $_SESSION['type_maison'] = isset($_GET['maison']);
    // $_SESSION['type_bureau'] = isset($_GET['bureau']);
    // $_SESSION['type_garage'] = isset($_GET['garage']);
    // $_SESSION['type_autres'] = isset($_GET['autres']);
    // $_SESSION['piece_1'] = isset($_GET['piece_1']);
    // $_SESSION['piece_2'] = isset($_GET['piece_2']);
    // $_SESSION['piece_3'] = isset($_GET['piece_3']);
    // $_SESSION['piece_4'] = isset($_GET['piece_4']);
    // $_SESSION['piece_5'] = isset($_GET['piece_5']);
    // $_SESSION['surface_min'] = isset($_GET['surface_min']) && !empty($_GET['surface_min']) ? $surface_min = $_GET['surface_min'] : null;
    // $_SESSION['surface_max'] = isset($_GET['surface_max']) && !empty($_GET['surface_max']) ? $surface_max = $_GET['surface_max'] : null;
    // $_SESSION['prix_min'] = isset($_GET['prix_min']) && !empty($_GET['prix_min']) ? $prix_min = $_GET['prix_min'] : null;
    // $_SESSION['prix_max'] = isset($_GET['prix_max']) && !empty($_GET['prix_max']) ? $prix_max = $_GET['prix_max'] : null;

    // SORTER
    if (isset($_GET['sort'])) {
        $_SESSION['sort'] = $_GET['sort']; // if change set new sort
    } elseif(!isset($_SESSION['sort'])){
        $_SESSION['sort'] = $default_sorter; // if null set default
    }

    // Prepare api request
    $current_page = isset($_GET['current_page']) ? $_GET['current_page'] : 1;
    $url = "http://agenda.adbinfo.fr:9001/lots/2";
    $request = wp_remote_get($url,
    ['headers'     => [
            "Accept"=> "application/json",
            "Content-Type"=> "application/json",
        ]
    ]
);
    if( is_wp_error($request) ) {
        return false; // stop if error
    } else {
        $body = json_decode(wp_remote_retrieve_body( $request ));
        $lots = [];
        if (isset($body)) {
            if (isset($body->message)) {
                echo "<script>console.error('Problème lors de la récupération des annonces depuis agenda.adbinfo.fr' );</script>";
            } else {
                $start = ($current_page-1) * $_SESSION['per_page']; // first element
                $lots = array_slice($body->lots, $start, $_SESSION['per_page']);
                $_SESSION['nbr_lot'] = count($body->lots);
                $_SESSION['nbr_page'] = ceil($_SESSION['nbr_lot'] / $_SESSION['per_page']);
            }
        }
    }
?>

<?php include(plugin_dir_path( __FILE__ ) . 'annonces/tools.php') ?>

<div id="annonces">
    <?php if (isset($lots)) : ?>
        <div id="item-layout" class="row justify-content-center g-3">
            <?php
            $description_max = 400;
            foreach( $lots as $item ) :
                // ADAPTER
                $id = $item->lot->id;
                $description = false;
                $description_short = preg_replace( "/<br>/", " ", $description ); // Remove breakline
                if (strlen($description) > $description_max && strpos($description, ' ')) {
                    $description_short = substr($description_short, 0, strpos($description_short, ' ', $description_max)); // Get 250 firsts characters and break after a word
                }
                $favoris = false;
                $nouveaute = null;
                $exclusivite = null;
                $sous_compromis = null;
                $photos = json_decode(file_get_contents("http://agenda.adbinfo.fr:9001/photos/".$id), true);
                $imageURL = "http://agenda.adbinfo.fr:9001/image/";
                $miniature = isset($photos["photos"][0]) ? $imageURL . $photos["photos"][0]['chemin'] : null;
                $montant = number_format(null, 0, ',', '.');
                $nombre_piece = $item->lot->nbCouchage;
                $surface = null;
                $transaction = null;
                $titre = $item->lot->reference;
                $type = $item->typeLot->libelle;
                // Responsive layout
                $col_lg= round(12 / $_SESSION['atts_col']);
                $col_md= (($_SESSION['atts_col']) > 3) ? 4 : $col_lg;
                $col_sm= (($_SESSION['atts_col']) > 1) ? 6 : 12;
            ?>
                <div class='item col-12 col-sm-<?php echo $col_sm ?> col-md-<?php echo $col_md ?> col-lg-<?php echo $col_lg ?>'>
                    <div class="card elevation h-100">
                        <a href="<?php echo add_query_arg('id', $id, get_permalink(get_option("annonce_saison_page")) . '#annonce'); ?>" class='text-reset text-decoration-none'>
                            <div class='row g-0'>
                                <div class="col-img col-12">
                                    <?php if (isset($miniature)) : ?>
                                        <img loading="lazy" alt="Photo du bien immobilier" src="<?php echo $miniature ?>">
                                    <?php endif ?>
                                    <?php if($favoris) : ?>
                                        <div class="corner-ribbon bg-favoris top-left">Favoris</div>
                                    <?php endif ?>
                                    <?php if($nouveaute) : ?>
                                        <div class="corner-ribbon bg-new top-right">Nouveau</div>
                                    <?php endif ?>
                                    <?php if($exclusivite) : ?>
                                        <div class="corner-ribbon bg-exclusivite bottom-left">Exclusivité</div>
                                    <?php endif ?>
                                    <?php if($sous_compromis) : ?>
                                        <div class="corner-ribbon bg-compromis bottom-right">Sous compromis</div>
                                    <?php endif ?>
                                </div>
                                <div class="col-body col-12" style="z-index: 1">
                                    <div class="card-body h-100 d-flex justify-content-between flex-column">
                                        <div class="text-center">
                                            <h5 class="card-title m-0"><strong><?php echo $titre ?></strong></h5>
                                            <?php if (isset($transaction)) : ?>
                                                <span>
                                                    <?php echo $transaction ?>
                                                </span>
                                            <?php endif ?>

                                            <?php if (isset($type)) : ?>
                                                <span>
                                                    <?php echo $type ?>
                                                </span>
                                            <?php endif ?>

                                            <?php if (isset($nombre_piece)) : ?>
                                                <span>
                                                    <?php echo $nombre_piece ?> pièces
                                                </span>
                                            <?php endif ?>
                                            
                                            <?php if (isset($surface)) : ?>
                                                <span>
                                                    <?php echo $surface ?> m²
                                                </span>
                                            <?php endif ?>

                                            <?php if(isset($montant) && $montant != 0) : ?>
                                                <span class="d-block text-success"><?php echo $montant ?> €</span>
                                            <?php endif ?>
                                        </div>

                                        <?php if(isset($description_short)) : ?>
                                            <div class="description">
                                                <p class="mb-0">
                                                    <?php echo $description_short ?>
                                                    <?php if(strlen($description_short) < strlen($description)) echo "..." ?>
                                                </p>
                                            </div>
                                        <?php endif ?>
                                        
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            <?php endforeach;?>

        </div>

    <?php include(plugin_dir_path( __FILE__ ) . 'annonces/script.php') ?>

    <?php else : ?>
        <?php include(plugin_dir_path( __FILE__ ) . 'annonces/empty.php') ?>
    <?php endif; ?>
</div>