<?php
    // DEFAULT
    $default_sorter = "date_desc";
    $_SESSION['nbr_lot'] = 0;
    $_SESSION['nbr_page'] = 0;
    $_SESSION['per_page'] = get_option("per_page");
    $_SESSION['favoris'] = isset($_GET['favoris']);
    $_SESSION['nouveaute'] = isset($_GET['nouveaute']);
    $_SESSION['exclusivite'] = isset($_GET['exclusivite']);
    $_SESSION['sous_compromis'] = isset($_GET['sous_compromis']);
    unset($_SESSION['saison']);

    // FILTERS
    $_SESSION['recherche'] = isset($_GET['recherche']) && !empty($_GET['recherche']) ? $_GET['recherche'] : null;
    $_SESSION['transaction_vente'] = $_SESSION['atts_transaction_vente'] || isset($_GET['vente']);
    $_SESSION['transaction_location'] = $_SESSION['atts_transaction_location'] || isset($_GET['location']);
    $_SESSION['transaction_nouveau_programme'] = $_SESSION['atts_transaction_programme_neuf'] || isset($_GET['programme_neuf']);
    $_SESSION['transaction_location_saisonniere'] = $_SESSION['atts_transaction_location_saisonsaisonniere'] || isset($_GET['loc_saison']);
    $_SESSION['type_appartement'] = isset($_GET['appartement']);
    $_SESSION['type_maison'] = isset($_GET['maison']);
    $_SESSION['type_bureau'] = isset($_GET['bureau']);
    $_SESSION['type_garage'] = isset($_GET['garage']);
    $_SESSION['type_autres'] = isset($_GET['autres']);
    $_SESSION['piece_1'] = isset($_GET['piece_1']);
    $_SESSION['piece_2'] = isset($_GET['piece_2']);
    $_SESSION['piece_3'] = isset($_GET['piece_3']);
    $_SESSION['piece_4'] = isset($_GET['piece_4']);
    $_SESSION['piece_5'] = isset($_GET['piece_5']);
    $_SESSION['surface_min'] = isset($_GET['surface_min']) && !empty($_GET['surface_min']) ? $surface_min = $_GET['surface_min'] : null;
    $_SESSION['surface_max'] = isset($_GET['surface_max']) && !empty($_GET['surface_max']) ? $surface_max = $_GET['surface_max'] : null;
    $_SESSION['prix_min'] = isset($_GET['prix_min']) && !empty($_GET['prix_min']) ? $prix_min = $_GET['prix_min'] : null;
    $_SESSION['prix_max'] = isset($_GET['prix_max']) && !empty($_GET['prix_max']) ? $prix_max = $_GET['prix_max'] : null;

    // SORTER
    if (isset($_GET['sort'])) {
        $_SESSION['sort'] = $_GET['sort']; // if change set new sort
    } elseif(!isset($_SESSION['sort'])){
        $_SESSION['sort'] = $default_sorter; // if null set default
    }

    // Prepare api request
    $current_page = isset($_GET['current_page']) ? $_GET['current_page'] : 1;
    $url = get_option("api") . '/api/wordpress/societes/' . get_option("societe_id") . '/lots';
    $url = add_query_arg( 'per_page', $_SESSION['per_page'], $url);
    $url = add_query_arg( 'favoris', $_SESSION['favoris'], $url);
    $url = add_query_arg( 'nouveaute', $_SESSION['nouveaute'], $url);
    $url = add_query_arg( 'exclusivite', $_SESSION['exclusivite'], $url);
    $url = add_query_arg( 'sous_compromis', $_SESSION['sous_compromis'], $url);
    $url = add_query_arg( 'page', $current_page, $url);
    $url = add_query_arg( 'recherche', $_SESSION['recherche'], $url);
    $url = add_query_arg( 'transaction_vente', $_SESSION['transaction_vente'], $url);
    $url = add_query_arg( 'transaction_location', $_SESSION['transaction_location'], $url);
    $url = add_query_arg( 'transaction_nouveau_programme', $_SESSION['transaction_nouveau_programme'], $url);
    $url = add_query_arg( 'transaction_location_saisonniere', $_SESSION['transaction_location_saisonniere'], $url);
    $url = add_query_arg( 'type_appartement', $_SESSION['type_appartement'], $url);
    $url = add_query_arg( 'type_maison', $_SESSION['type_maison'], $url);
    $url = add_query_arg( 'type_bureau', $_SESSION['type_bureau'], $url);
    $url = add_query_arg( 'type_garage', $_SESSION['type_garage'], $url);
    $url = add_query_arg( 'type_autres', $_SESSION['type_autres'], $url);
    $url = add_query_arg( 'piece_1', $_SESSION['piece_1'], $url);
    $url = add_query_arg( 'piece_2', $_SESSION['piece_2'], $url);
    $url = add_query_arg( 'piece_3', $_SESSION['piece_3'], $url);
    $url = add_query_arg( 'piece_4', $_SESSION['piece_4'], $url);
    $url = add_query_arg( 'piece_5', $_SESSION['piece_5'], $url);
    $url = add_query_arg( 'surface_min', $_SESSION['surface_min'], $url);
    $url = add_query_arg( 'surface_max', $_SESSION['surface_max'], $url);
    $url = add_query_arg( 'prix_min', $_SESSION['prix_min'], $url);
    $url = add_query_arg( 'prix_max', $_SESSION['prix_max'], $url);
    $url = add_query_arg( 'sort', $_SESSION['sort'], $url);
    $request = wp_remote_get($url,
    ['headers'     => [
            "Accept"=> "application/json",
            "Content-Type"=> "application/json",
        ]
    ]
);
    if( is_wp_error($request) ) {
        return false; // stop if error
    } else {
        $body = json_decode(wp_remote_retrieve_body( $request ));
        $lots = [];
        if (isset($body)) {
            if (isset($body->message)) {
                echo "<script>console.error('Problème lors de la récupération des annonces depuis l\'API' );</script>";
            } else {
                $lots = $body->lot;
                $_SESSION['nbr_lot'] = $body->nbr_lot;
                $_SESSION['nbr_page'] = ceil($_SESSION['nbr_lot'] / $_SESSION['per_page']);
            }
        }
    }
?>

<?php include(plugin_dir_path( __FILE__ ) . 'annonces/tools.php') ?>

<div id="annonces">
    <?php if (isset($lots)) : ?>
        <div id="item-layout" class="row justify-content-center g-3">
            <?php
            $description_max = 400;
            foreach( $lots as $item ) :
                // ADAPTER
                $id = $item->lot_id;
                $description = $item->lot_description;
                $description_short = preg_replace( "/<br>/", " ", $description ); // Remove breakline
                if (strlen($description) > $description_max && strpos($description, ' ')) {
                    $description_short = substr($description_short, 0, strpos($description_short, ' ', $description_max)); // Get 250 firsts characters and break after a word
                }
                $favoris = $item->lot_favoris;
                $nouveaute = $item->lot_nouveaute;
                $exclusivite = $item->lot_exclusivite;
                $sous_compromis = $item->lot_sous_compromis;
                $miniature = $item->lot_miniature;
                $montant = number_format($item->lot_montant, 0, ',', '.');
                $nombre_piece = $item->lot_nombre_piece;
                $surface = $item->lot_surface;
                $transaction = $item->lot_transaction;
                $titre = $item->lot_titre;
                $type = $item->lot_type;
                $src_image = filter_var($miniature, FILTER_VALIDATE_URL) ? $miniature : get_option("api") . $miniature;
                // Responsive layout
                $col_lg= round(12 / $_SESSION['atts_col']);
                $col_md= (($_SESSION['atts_col']) > 3) ? 4 : $col_lg;
                $col_sm= (($_SESSION['atts_col']) > 1) ? 6 : 12;
            ?>
                <div class='item col-12 col-sm-<?php echo $col_sm ?> col-md-<?php echo $col_md ?> col-lg-<?php echo $col_lg ?>'>
                    <div class="card elevation h-100">
                        <a href="<?php echo add_query_arg('id', $id, get_permalink(get_option("annonce_page")) . '#annonce'); ?>" class='text-reset text-decoration-none'>
                            <div class='row g-0'>
                                <div class="col-img col-12">
                                    <?php if (isset($miniature)) : ?>
                                        <img alt="Photo du bien immobilier" src="<?php echo $src_image ?>">
                                    <?php endif ?>
                                    <?php if($favoris) : ?>
                                        <div class="corner-ribbon bg-favoris top-left">Favoris</div>
                                    <?php endif ?>
                                    <?php if($exclusivite) : ?>
                                        <div class="corner-ribbon bg-exclusivite bottom-left">Exclusivité</div>
                                    <?php endif ?>
                                    <?php if($nouveaute) : ?>
                                        <div class="corner-ribbon bg-new top-right">Nouveau</div>
                                    <?php endif ?>
                                    <?php if($sous_compromis) : ?>
                                        <div class="corner-ribbon bg-compromis bottom-right">Sous compromis</div>
                                    <?php endif ?>
                                </div>
                                <div class="col-body col-12" style="z-index: 1">
                                    <div class="card-body h-100 d-flex justify-content-between flex-column">
                                        <div class="text-center">
                                            <h5 class="card-title m-0"><strong><?php echo $titre ?></strong></h5>
                                            <?php if (isset($transaction)) : ?>
                                                <span>
                                                    <?php echo $transaction ?>
                                                </span>
                                            <?php endif ?>

                                            <?php if (isset($type)) : ?>
                                                <span>
                                                    <?php echo $type ?>
                                                </span>
                                            <?php endif ?>

                                            <?php if (isset($nombre_piece)) : ?>
                                                <span>
                                                    <?php echo $nombre_piece ?> pièces
                                                </span>
                                            <?php endif ?>
                                            
                                            <?php if (isset($surface)) : ?>
                                                <span>
                                                    <?php echo $surface ?> m²
                                                </span>
                                            <?php endif ?>

                                            <?php if(isset($montant)) : ?>
                                                <span class="d-block text-success"><?php echo $montant ?> €</span>
                                            <?php endif ?>
                                        </div>

                                        <?php if(isset($description_short)) : ?>
                                            <div class="description">
                                                <p class="mb-0">
                                                    <?php echo $description_short ?>
                                                    <?php if(strlen($description_short) < strlen($description)) echo "..." ?>
                                                </p>
                                            </div>
                                        <?php endif ?>
                                        
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            <?php endforeach;?>

        </div>

    <?php include(plugin_dir_path( __FILE__ ) . 'annonces/script.php') ?>

    <?php else : ?>
        <?php include(plugin_dir_path( __FILE__ ) . 'annonces/empty.php') ?>
    <?php endif; ?>
</div>