<div id='calendar'></div>

<script>
  const currentUrl = new URL(window.location.href);
  const id = currentUrl.searchParams.get("id");
  const url = "http://agenda.adbinfo.fr:9001/bookings/";
  const title = "Réservé";
  let locationsEvents = [];

  // Request
  fetch(url + id).then((res) => res.json()).then((json) => {
    locations = json.locations;
    // Adapter
    locations.forEach(loc => {
      const dateD = loc.dateDebut.split('/');
      const dateF = loc.dateFin.split('/');
      const dateDebut = dateD[2] + "-" + dateD[1] + "-" + dateD[0];
      const dateFin = dateF[2] + "-" + dateF[1] + "-" + dateF[0];
      const event = {
        title : title,
        start : dateDebut,
        end : dateFin,
      };    
      locationsEvents.push(event);
    });
  });

  // Component
  document.addEventListener("DOMContentLoaded", function () {
    let calendarEl = document.getElementById("calendar");
    let calendar = new FullCalendar.Calendar(calendarEl, {
      initialView: "dayGridMonth",
      locale: "fr",
      events: locationsEvents,
    });
    calendar.render();
  });
</script>